<!DOCTYPE html>
<!--
Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
Click nbfs://nbhost/SystemFileSystem/Templates/Other/html.html to edit this template
-->
<html xmlns:th="http://www.thymeleaf.org">
    <head>
        <title>Lista</title>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.4.1/dist/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
    </head>
    <body>
        <div class="container mt-3">
        <h1>Lista de persones</h1>
        <a th:href="@{/person_1}"><button type="button" class="btn btn-info">Add User</button></a>
        <table class="table table-striped table-bordered table-dark">
            <tr>
                <th>ID</th>
                <th>Name</th>
                <th>Surname</th>
                <th>Email</th>
                <th>Phone</th>
                <th>Action</th>
                <th>Rol</th>
            </tr>
            <tr th:each="person : ${persons}">
                <td th:text="${person.id}"></td>
                <td th:text="${person.nombre}"></td>
                <td th:text="${person.username}"></td>
                <td th:text="${person.email}"></td>
                <td th:text="${person.phone}"></td>
                <td>
                    <a th:href="@{'/update/' + ${person.id}}"><button type="button" class="btn btn-primary">Update</button></a>
                    <a th:href="@{'/delete/' + ${person.id}}"><button type="button" class="btn btn-danger">Delete</button></a>
                </td>
                <td>
                    <ul>
                        <li th:each="rol : ${person.roles}" th:text="${rol.nom}"></li>
                    </ul>
                </td>
            </tr>
        </table>
        <a th:href="@{/emails}"><button type="button" class="btn btn-success">Mostrar emails</button></a>
        <a th:href="@{/lista}"><button type="button" class="btn btn-success">Mostrar todos</button></a>
        </div>
    </body>
</html>
